<div *ngIf="!noQuiz; else noQuizTemp">
  <mat-card >
    <div *ngIf = "!result; else results">
    <mat-card-title>{{questionAndAnswers[index].question}}</mat-card-title>
    <mat-radio-group
    aria-labelledby="example-radio-group-label"
    class="example-radio-group"
  [(ngModel)]="quizAnswers[index]">
   <mat-radio-button [value]=1>
    {{questionAndAnswers[index].answer1}}
  </mat-radio-button>
  <br>
  <mat-radio-button [value]=2>
    {{questionAndAnswers[index].answer2}}
  </mat-radio-button>
  <br>
  <mat-radio-button *ngIf="questionAndAnswers[index].answer3"  [value]=3>
    {{questionAndAnswers[index].answer3}}
  </mat-radio-button>
  <br>
  <mat-radio-button *ngIf="questionAndAnswers[index].answer4" [value]=4>
    {{questionAndAnswers[index].answer4}}
  </mat-radio-button>
 </mat-radio-group>
 <br>

 <button *ngIf="notFirst; else previousDisabled" (click)=goToPreviousQuestion()> Prethodno </button>
 <ng-template #previousDisabled>
  <button disabled (click)=goToPreviousQuestion()> Prethodno </button>
 </ng-template>
  &nbsp;
 <button *ngIf="moreQuestions && quizAnswers[index];else nextDisabled"  (click)=goToNextQuestion()> Dalje </button>
 <ng-template #nextDisabled>
  <button disabled (click)=goToNextQuestion()> Dalje </button>
 </ng-template>
 &nbsp;
 <button (click)=closeQuiz()>Odustani</button>
  &nbsp;
  &nbsp;
  &nbsp;
  &nbsp;
 <button *ngIf="!moreQuestions && quizAnswers[index]; else resultDisabled" (click)=showResults()>Pogledajte rezultat</button>
 <ng-template #resultDisabled>
  <button disabled (click)=showResults()> Pogledajte rezultat </button>
 </ng-template>
  &nbsp;
  &nbsp;
  &nbsp;
  &nbsp;
  &nbsp;
  <span><h4>{{index+1}}/{{numOfQuestions}}</h4></span>


</div>
<ng-template #results>
  <p *ngIf="correctAnswers===numOfQuestions" style="color: green;"> Uradili ste sve tacno</p>
  <p *ngIf="correctAnswers<numOfQuestions" style="color: red;"> Uradili ste tacno {{correctAnswers}}/{{numOfQuestions}}</p>
  <br>
  <button (click)=tryAgain()>Probajte ponovo</button>
  &nbsp;
  <button (click)=closeQuiz()>Zatvori</button>
</ng-template>

</mat-card>
</div>

<ng-template #noQuizTemp>
 <p>Ovaj cas nema kviz</p>
</ng-template>
